<?php
$class = 'notice notice-error';
$message = get_option( 'error_cache_one');
if($message){ ?>
    <pre style="background: #333; color: #fff; ">
        <?php echo $message; ?>
    </pre>
    <style>
        pre{
            background: #333!important;
        }
    </style>
    <?php
    update_option( 'error_cache_one','', 'yes' );
}
?>
<h2>
    Traffic Sumo Settings
</h2>
<div class="trafficsumo__admin-tab">
    <div class="trafficsumo__admin-tab-item active">
        General
    </div>
    <div class="trafficsumo__admin-tab-item">
        <a href="https://app.tango.us/app/workflow/45ccedd8-a97f-49c3-8b14-d5b5fa82a606" target="_blank">
            Google Service Guide
        </a>
    </div>
    <div class="trafficsumo__admin-tab-item">
        <a href="https://app.tango.us/app/workflow/68da50bf-9d4e-4e43-b2ae-7e59951dc378" target="_blank">
            Moz Guide
        </a>
    </div>
</div>
<div class="traffic-sumo--row">
    <div class="traffic-sumo--col-big">
        <section class="trafficsumo__admin">
            <div class="trafficsumo__admin-container">
                <div class="trafficsumo__admin-content active">
                    <div class="trafficsumo__admin-content-section">
                        <h4>Google Analytics Configuration</h4>
                        <form action="<?php echo admin_url('admin-post.php?action=save_data_ga_traffic_sumo') ?>" method="post" enctype="multipart/form-data">
                            <table class="form-table">
                                <tbody>
                                <tr>
                                    <th scope="row">
                                        <label for="gaCredentials">Service Account Credentials (JSON) </label>
                                    </th>
                                    <td class="fileAttachmentRender">
                                        <?php if(!empty(get_option( 'gaCredentials'))): ?>
                                            <span class="dashicons dashicons-media-code"></span>
                                            <span style="margin-left: 15px; margin-right: 15px"> File Uploaded</span>
                                            <a href="<?php echo admin_url('admin-post.php?action=remove_json_file') ?>"> <span class="dashicons dashicons-trash"></span> </a>
                                        <?php else: ?>
                                            <input type="file" name="gaCredentials"  style="width:300px" accept="application/JSON" id="gaCredentials" />
                                        <?php endif;?>
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row">
                                        <label for="gaViewID">
                                            View ID
                                        </label>
                                    </th>
                                    <td>
                                        <input type="text" name="gaViewID" value="<?php echo get_option( 'gaViewID') ?>" style="width:300px" id="gaViewID" />
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <div class="trafficsumo__admin-submit">
                                <button type="submit" class="button-primary" aria-label="submitGASetting" name="submitGASetting">
                                    Save Settings
                                </button>
                            </div>
                        </form>
                    </div>
                    <div class="trafficsumo__admin-content-section">
                        <h4>Moz Configuration</h4>
                        <form action="<?php echo admin_url('admin-post.php?action=save_data_moz_traffic_sumo') ?>"  method="post">
                            <table class="form-table">
                                <tbody>
                                <tr>
                                    <th scope="row">
                                        <label for="mozAccessID">
                                            Access ID
                                        </label>
                                    </th>
                                    <td>
                                        <input type="text" name="mozAccessID" value="<?php echo get_option( 'mozAccessID') ?>" style="width:300px" id="mozAccessID" />
                                    </td>
                                </tr>
                                <tr>
                                    <th scope="row">
                                        <label for="mozSecretKey">
                                            Secret Key
                                        </label>
                                    </th>
                                    <td>
                                        <input type="text" name="mozSecretKey" value="<?php echo get_option( 'mozSecretKey') ?>" style="width:300px" id="mozSecretKey" />
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <div class="trafficsumo__admin-submit">
                                <button type="submit" class="button-primary" aria-label="submitMOZSetting" name="submitMOZSetting">
                                    Save Settings
                                </button>
                            </div>
                        </form>
                    </div>
                    <div class="trafficsumo-control-page__buttons-item">
                        <?php if(get_option( 'gaCredentials') && get_option( 'gaViewID') && get_option( 'mozAccessID') && get_option( 'mozSecretKey')): ?>
                            <a href="<?php echo admin_url('admin-post.php?action=data_all_sumo') ?>" class="button-primary">
                                Fetch Latest Data
                            </a>
                        <?php endif; ?>
                        <a style="margin-left: 15px" href="javascript:void(0)" id="saveAllSettingData" class="button-primary">
                            Save All Setting
                        </a>
                    </div>
                    <div class="trafficsumo__admin-content-section">
                        <h4>
                            Copy Shortcode
                        </h4>
                        <div class="trafficsumo__admin-content-section-content">
                            Add the widget to any post or page using the shortcode <code>[traffic_sumo]</code> .
                        </div>
                    </div>
                </div>
                <div class="trafficsumo__admin-content">
                </div>
            </div>
        </section>
    </div>
    <div class="traffic-sumo--col-small">
        <div class="traffic-sumo__admin-bio">
            <div class="traffic-sumo__admin-bio-logo">
                <a href="https://marketingsumo.co/trafficsumo" target="_blank" rel="nofollow">
                    <img alt="traffic-sumo-logo" src="<?php echo TRAFFIC_SUMO_URL ?>/assets/public/images/traffic-sumo-logo.png" />
                </a>
            </div>
            <div class="traffic-sumo__admin-bio-content">
                <p style="padding-top: 15px; padding-bottom: 15px">
                    B2B Marketing services for
                    growth stage founders-led HR
                    Tech.
                </p>
                <a class="button-primary" href="https://marketingsumo.co/" target="_blank" rel="nofollow">
                    Visit Website
                </a>
            </div>
        </div>
    </div>
</div>
<div class="trafficsumo__admin-preview">
    <div class="trafficsumo-demo-page" style="background:  #E5E5E5;margin-top: 40px; padding: 50px 20px 10px;">
        <div class="trafficsumo-demo-page__container">
            <h2>
                Preview
            </h2>
            <div class="trafficsumo-preview__item">
                <?php echo do_shortcode('[traffic_sumo/]') ?>
            </div>
        </div>
    </div>
</div>
<script defer type="application/javascript">
    jQuery(document).ready(function ($) {

        $('#saveAllSettingData').click(function (e) {
            e.preventDefault();
            var fileJsonData = $('#gaCredentials')
            var form_data = new FormData();
            /* handle if you have change file content */
            if(fileJsonData.length > 0){
                var file_data = fileJsonData.prop('files')[0]
                if(file_data){
                    form_data.append('gaCredentials', file_data);
                }
            }
            /* Handle another fields */
            var gaViewID = $('#gaViewID').val()
            var mozAccessID = $('#mozAccessID').val()
            var mozSecretKey = $('#mozSecretKey').val()
            var jsonAcceptUpload = $('#jsonAcceptUpload').is(':checked')
            form_data.append('gaViewID', gaViewID);
            form_data.append('mozAccessID', mozAccessID);
            form_data.append('mozSecretKey', mozSecretKey);
            form_data.append('jsonAcceptUpload', jsonAcceptUpload);

            var $THIS = $(this)
            $THIS.html('Saving....')
            /* Handle ajax submit handle */
            $.ajax({
                url: "<?php echo admin_url('admin-post.php?action=data_fetch_data_sumo') ?>", // <-- point to server-side PHP script
                dataType: 'text',  // <-- what to expect back from the PHP script, if anything
                cache: false,
                contentType: false,
                processData: false,
                data: form_data,
                type: 'post',
                success: function(){
                    window.location.reload()
                }
            });
        })
    })
</script>